For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
  • User guides
    • About the Applications API
    • Getting started
    • Authentication
    • Quick reference
  • Account Defender API
  • Bot Defender API
  • Credential Intelligence API
  • Code Defender API
      • GETGet cookie report
    • Code Examples
  • Enforce API
  • PCI DSS API
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Code Defender APICookie Report

Get cookie report

GET
https://api-gw.perimeterx.com/v1/cookie-report
GET
/v1/cookie-report
$curl -G https://api-gw.perimeterx.com/v1/cookie-report \
> -H "Authorization: Bearer <token>" \
> -d appId=hostDomain \
> -d from=1674313200000 \
> -d to=1674313200000 \
> -d skip=40 \
> -d take=10
1{
2 "paging": {
3 "previous": "",
4 "current": "https://api-gw.perimeterx.com/v1/cookie-report?ABC123=domain.com&from=1675209600000&take=20&skip=0",
5 "next": "https://api-gw.perimeterx.com/v1/cookie-report?ABC123=domain.com&from=1675209600000&take=20&skip=20"
6 },
7 "data": [
8 {
9 "app_id": "PXabc123",
10 "host_domain": "domain.com",
11 "count": 1000,
12 "data": [
13 {
14 "name": "__pxvid",
15 "vendor": "PerimeterX",
16 "description": "Used for browser detection and distinguishing whether it is a real user or malicious bot.",
17 "first_seen": "2020-01-21T13:29:29+02:00",
18 "last_seen": "2023-02-27T16:12:21+02:00",
19 "scripts": [
20 "client.px-cloud.net/PX8U0i7rwC/main.min.js"
21 ]
22 }
23 ]
24 }
25 ]
26}
Returns a list of cookie data for the given Application IDs and domains.
Was this page helpful?
Previous

Get account settings

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

appId=hostDomainstringRequired

A pair of appId and hostDomain keys.

fromintegerOptional
A timestamp, in milliseconds, indicating from what point in time to filter the results by. Defaults to the past 24 hours.
tointegerOptional
A timestamp, in milliseconds, indicating until what point in time to filter the results by. Defaults to the current time.
skipintegerOptionalDefaults to 0
The number of incidents to offset pagination by when returning the results.
takeintegerOptionalDefaults to 20
The number of incidents to display per page when returning the results.

Response

Success
pagingobject
datalist of objects

Errors

401
Unauthorized Error
422
Unprocessable Entity Error
500
Internal Server Error